#!/bin/sh

versionh=src/include/wlan/version.h
cp src/version.h.in $versionh

. ./config.in

DATE=`date`

printf '#define WLAN_RELEASE\t"%d.%d.%d%s"\n' \
        ${WLAN_VERSION} \
        ${WLAN_PATCHLEVEL} \
        ${WLAN_SUBLEVEL} \
        ${WLAN_EXTRAVERSION} >> $versionh
printf '#define WLAN_RELEASE_CODE 0x%02x%02x%02x\n' \
        ${WLAN_VERSION} \
        ${WLAN_PATCHLEVEL} \
        ${WLAN_SUBLEVEL} >> $versionh
echo   "#define WLAN_BUILD_DATE \"$DATE\" " >> $versionh

printf '\n' >> $versionh
printf '#endif\n' >> $versionh

